io.undertow.server.handlers.resource

## Class ResourceChangeEvent

- java.lang.Object
- - io.undertow.server.handlers.resource.ResourceChangeEvent

    public class ResourceChangeEvent
    extends Object

An event that is fired when a resource is modified

Author:
  Stuart Douglas

### Nested Class Summary

Nested Classes
`static class` `ResourceChangeEvent.Type` Watched file event types.

### Constructor Summary

Constructors
Constructor and Description
`ResourceChangeEvent(String resource, ResourceChangeEvent.Type type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getResource()`
`ResourceChangeEvent.Type` `getType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceChangeEvent

    public ResourceChangeEvent(String resource,
                               ResourceChangeEvent.Type type)

### Method Detail

#### getResource

    public String getResource()

#### getType

    public ResourceChangeEvent.Type getType()